Commit 7136fa3e authored by Joshua Lambert's avatar Joshua Lambert

Apply suggestion to data/release_posts/unreleased/postgres-11.yml

parent 23f3b7fa
Pipeline #118083865 passed with stages
in 10 minutes and 37 seconds
......@@ -10,6 +10,6 @@ features:
- 'Omnibus Package'
issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/2414'
description: |
The GitLab Omnibus package now includes PostgreSQL 11. The PostgreSQL 11 release included enhancements to partitioning and other performance improvements that GitLab will be building upon in GitLab 13.x to improve the overall speed and performance of GitLab. We encourage you to upgrade your PostgreSQL version at your earliest convenience to start benefiting from performance improvements and to prepare for the removal of PostgreSQL 9.6 and 10.x. PostgreSQL 11 has been fully tested with Omnibus GitLab for new installs and upgrades, including HA configurations. [Testing with Geo is in progress](https://gitlab.com/gitlab-org/omnibus-gitlab/issues/4971).
The GitLab Omnibus package now includes PostgreSQL 11. The PostgreSQL 11 release includes enhancements to partitioning and other performance improvements that GitLab will be building upon in GitLab 13.x to increase the overall speed and responsiveness of GitLab. PostgreSQL 11 has been fully tested with Omnibus GitLab for new installs and upgrades, including HA configurations. [Testing with Geo is in progress](https://gitlab.com/gitlab-org/omnibus-gitlab/issues/4971). We encourage administrators not using Geo to upgrade to PostgreSQL 11 at their earliest convenience to start benefiting from performance improvements and to prepare for the [removal of PostgreSQL 9.6 and 10.x in GitLab 13.0](#planned-removal-of-postgresql-9-6-and-10-x-in-gitlab-13-0).
PostgreSQL 11 is still opt-in in GitLab 12.8. For instructions on upgrading, see the [upgrade notes](https://docs.gitlab.com/omnibus/update/gitlab_12_changes.html). New installs and auto upgrades will still default to PostgreSQL 10. PostgreSQL 11 will become opt out in GitLab 12.10 and the minimum required PostgreSQL version in GitLab 13.0. For more details about GitLab's PostgreSQL 11 roadmap, see [the epic for adding support](https://gitlab.com/groups/gitlab-org/-/epics/2414).
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment